######################################################################
# This procedure reconfigures the message widget to contain a useful #
# of information to guide the user                                   #
######################################################################
proc Set_Message {New_message} {

    .can.mess.m configure -text $New_message -aspect 750
    update

}

#---------------------------------------------------------------#
# Procedure to lower an object 
#
# args :
#       1. The specified name of the currently loaded imagefile.
#          (empty string if no imagefile is currently loaded.)

proc LowerSelected {imgfile} {

# Get a list of all objects currently displayed on canvas.
    set displayList [.can.c1 find all]

# If there is currently an image loaded on the canvas, set var to 
# position above image.  Else to bottom of canvas' displayList.
    if {$imgfile != ""} {
        set belowThis [lindex $displayList 1]
    } else {
        set belowThis [lindex $displayList 0]
    }
# Lower selected object to specified position.
    .can.c1 lower selected $belowThis
}